<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="documentation">
    <xsl:apply-templates/>
</xsl:template>


<xsl:template match="format">
<html>
    <head>
        <title><xsl:value-of select="./name"/> - <xsl:value-of select="./version"/></title>
    </head>
    <body>
        <font size="2">Generation time : <xsl:value-of select="../@generationTime"/></font><br/>
        <font size="2">Document type : <xsl:value-of select="../@documentType"/></font><br/>
        <hr size="1" width="100%"/>
        <h1><xsl:value-of select="./name"/> - <xsl:value-of select="./version"/></h1>
        <h2>General information</h2>
        <ul>
            <li>Format name : <xsl:value-of select="./name"/></li>
            <li>Version : <xsl:value-of select="./version"/></li>
            <li>Description : <xsl:value-of select="./description"/></li>
            <li>Number of source files : <xsl:value-of select="count (./sources/source)"/></li>
            <li>Total size (bytes) : <xsl:value-of select="./totalSize"/></li>
        </ul>
        <xsl:apply-templates select="sources"/>        
    </body>
</html>
</xsl:template>


<xsl:template match="sources">
       <h2>Source files summary</h2>
        <ul>
        <xsl:apply-templates/>
        </ul>
</xsl:template>


<xsl:template match="source">
        <li><b><xsl:value-of select="./@name"/></b>
        <ul>
            <li>Description : <xsl:value-of select="./description"/></li>
            <li>Type : <xsl:value-of select="./type"/></li>
            <li>Total size (bytes) : <xsl:value-of select="./totalSize"/></li>
            <li><a href="{./details}">Details</a></li>
        </ul>
        
        </li>
</xsl:template>


<!--

<xsl:template match="tr[@class = 'tte-row-1']">
    <tr>
        <xsl:for-each select="td">
            <td>        
                <xsl:value-of select="./text ()"/>
            </td>
         </xsl:for-each>
    </tr>
</xsl:template>


<xsl:template match="*|/">
   <xsl:element name="{name (.)}">
      <xsl:apply-templates/>
  </xsl:element>
</xsl:template>

<xsl:template match="text()|@*">
  <xsl:value-of select="."/>
</xsl:template>
-->



</xsl:stylesheet>
